package cn.efunbox.audio.service;

import cn.efunbox.audio.entity.Audio;
import cn.efunbox.audio.entity.Device;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
public interface AudioService {

    public Audio GetOne(Long id);

    public Page<Audio> SearchAll(int page, int size);

    public Page<Audio> SearchByIdGroup(Long idGroup, int page, int size);

    public List<Audio> SearchByName(String name);

    public List<Audio> SearchByAlbum(String album);

    public List<Audio> SearchByNameAlbum(String name, String album);

    public Audio Insert(Audio audio);

    public void Delete(Long id);
}
